// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 56;
	objects = {

/* Begin PBXBuildFile section */
		003624662BA3F0AB0080D014 /* ZZHImageExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 003624652BA3F0AB0080D014 /* ZZHImageExtension.swift */; };
		005580782B9F1525004B9567 /* ZZHHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 005580772B9F1525004B9567 /* ZZHHelper.swift */; };
		00B946232B67B26D00DA668F /* ddd_video.mp4 in Resources */ = {isa = PBXBuildFile; fileRef = 00B946222B67B26D00DA668F /* ddd_video.mp4 */; };
		00B946252B67B7DE00DA668F /* CCSpatialPlayView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 00B946242B67B7DE00DA668F /* CCSpatialPlayView.swift */; };
		00C665732BAA81F900C309C3 /* GoogleService-Info.plist in Resources */ = {isa = PBXBuildFile; fileRef = 00C665722BAA81F900C309C3 /* GoogleService-Info.plist */; };
		00C665762BAA84C500C309C3 /* FirebaseAnalyticsWithoutAdIdSupport in Frameworks */ = {isa = PBXBuildFile; productRef = 00C665752BAA84C500C309C3 /* FirebaseAnalyticsWithoutAdIdSupport */; };
		00C665792BAA94EA00C309C3 /* CopyCrashHandler.swift in Sources */ = {isa = PBXBuildFile; fileRef = 00C665772BAA941E00C309C3 /* CopyCrashHandler.swift */; };
		00D33BF42B998BF700604A44 /* SpatialImageConvertor.swift in Sources */ = {isa = PBXBuildFile; fileRef = 00D33BF32B998BF700604A44 /* SpatialImageConvertor.swift */; };
		00D33BF62B99A19900604A44 /* SpatialVideoConvertor.swift in Sources */ = {isa = PBXBuildFile; fileRef = 00D33BF52B99A19900604A44 /* SpatialVideoConvertor.swift */; };
		00D33BFA2B9AB21A00604A44 /* ZZHAVExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 00D33BF92B9AB21A00604A44 /* ZZHAVExtension.swift */; };
		00EB2D022BA2D15700924D84 /* Localizable.strings in Resources */ = {isa = PBXBuildFile; fileRef = 00EB2D012BA2D14700924D84 /* Localizable.strings */; };
		00EB2D052BA2D59000924D84 /* MessageUI.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 00EB2D042BA2D59000924D84 /* MessageUI.framework */; };
		00ED6B342BA04AC200915BDE /* PlayByTransferConvertor.swift in Sources */ = {isa = PBXBuildFile; fileRef = 00ED6B332BA04AC200915BDE /* PlayByTransferConvertor.swift */; };
		04E1D3F12B68EDFE00743F2F /* CCWebController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 04E1D3F02B68EDFE00743F2F /* CCWebController.swift */; };
		1E02C9322B8990C600DD3143 /* CCDeviceOperationListView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1E02C9312B8990C600DD3143 /* CCDeviceOperationListView.swift */; };
		1E02C9342B89916C00DD3143 /* CCDeviceOperationListCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1E02C9332B89916C00DD3143 /* CCDeviceOperationListCell.swift */; };
		1E02C9362B89DB6700DD3143 /* CCEnumFile.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1E02C9352B89DB6700DD3143 /* CCEnumFile.swift */; };
		1E1EA2882B9325D300A5D5D2 /* CCSpatialPhotoDisplayController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1E1EA2872B9325D300A5D5D2 /* CCSpatialPhotoDisplayController.swift */; };
		1E1EA28C2B93272700A5D5D2 /* CCSpatialDisplayTypeView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1E1EA28B2B93272700A5D5D2 /* CCSpatialDisplayTypeView.swift */; };
		1E1EA28E2B93393A00A5D5D2 /* UIButton+CCExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1E1EA28D2B93393A00A5D5D2 /* UIButton+CCExtension.swift */; };
		1E1EA2902B933C8200A5D5D2 /* VideoWriter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1E1EA28F2B933C8200A5D5D2 /* VideoWriter.swift */; };
		1E1EA2942B9364F000A5D5D2 /* CCSpatialVideoDisplayController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1E1EA2932B9364F000A5D5D2 /* CCSpatialVideoDisplayController.swift */; };
		1E1EA2962B936C9600A5D5D2 /* VideoConvertor2.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1E1EA2952B936C9600A5D5D2 /* VideoConvertor2.swift */; };
		1E277B76988DF1691E8E5A49 /* Pods_SwiftProject.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 9EA4E292727B09E3FAEA5146 /* Pods_SwiftProject.framework */; };
		1E3945A02B8398B000D0F5CA /* VRVideoTransformController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1E39459F2B8398B000D0F5CA /* VRVideoTransformController.swift */; };
		1EE5C5F72B8F973A00EDFC2F /* CCSpatialShootController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EE5C5F62B8F973A00EDFC2F /* CCSpatialShootController.swift */; };
		1EE5C5FA2B8F97BF00EDFC2F /* SpatialVideoWriter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EE5C5F92B8F97BF00EDFC2F /* SpatialVideoWriter.swift */; };
		1EEF683E2B8D079600B953F7 /* CCVRPreviewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EEF683D2B8D079600B953F7 /* CCVRPreviewController.swift */; };
		1EF3B31D2B945C45000BD52D /* CCSpaceAlbumFliterPopView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EF3B31C2B945C45000BD52D /* CCSpaceAlbumFliterPopView.swift */; };
		1EFAF0BA2B8AF5EF002A1773 /* UIView+CCExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EFAF0B92B8AF5EF002A1773 /* UIView+CCExtension.swift */; };
		1EFAF0BD2B8B1D84002A1773 /* CCPopMenuView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EFAF0BC2B8B1D84002A1773 /* CCPopMenuView.swift */; };
		1EFAF0C02B8B7A59002A1773 /* VRPhotoTransformController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EFAF0BF2B8B7A59002A1773 /* VRPhotoTransformController.swift */; };
		1EFB8C6C2B88D52200C72119 /* CCCommonFile.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EFB8C6B2B88D52200C72119 /* CCCommonFile.swift */; };
		1EFB8C6E2B88D9D800C72119 /* CCBottomMenuPopView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EFB8C6D2B88D9D800C72119 /* CCBottomMenuPopView.swift */; };
		1EFB8C702B88DA4800C72119 /* CCBottomMenuCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EFB8C6F2B88DA4800C72119 /* CCBottomMenuCell.swift */; };
		1EFB8C762B88DD1200C72119 /* CCTransformProgressPopView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EFB8C752B88DD1200C72119 /* CCTransformProgressPopView.swift */; };
		1EFB8C782B88E2F600C72119 /* UIColor+CCExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1EFB8C772B88E2F600C72119 /* UIColor+CCExtension.swift */; };
		AF21208E2B4E7F1A00400B7F /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF21208D2B4E7F1A00400B7F /* AppDelegate.swift */; };
		AF2120952B4E7F1A00400B7F /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = AF2120932B4E7F1A00400B7F /* Main.storyboard */; };
		AF2120972B4E7F1C00400B7F /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = AF2120962B4E7F1C00400B7F /* Assets.xcassets */; };
		AF21209A2B4E7F1C00400B7F /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = AF2120982B4E7F1C00400B7F /* LaunchScreen.storyboard */; };
		AF2120AB2B4E848400400B7F /* RootNavigationController.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120AA2B4E848400400B7F /* RootNavigationController.swift */; };
		AF2120AD2B4E92B000400B7F /* RootTabBarController.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120AC2B4E92B000400B7F /* RootTabBarController.swift */; };
		AF2120AF2B4E930400400B7F /* RootManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120AE2B4E930400400B7F /* RootManager.swift */; };
		AF2120B12B4E947F00400B7F /* BaseVirtualController.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120B02B4E947F00400B7F /* BaseVirtualController.swift */; };
		AF2120B32B4E94BE00400B7F /* CCDefine.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120B22B4E94BE00400B7F /* CCDefine.swift */; };
		AF2120C32B4E95DA00400B7F /* NSObject+Add.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120BB2B4E95D900400B7F /* NSObject+Add.swift */; };
		AF2120C42B4E95DA00400B7F /* UIImage+Add.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120BC2B4E95D900400B7F /* UIImage+Add.swift */; };
		AF2120C52B4E95DA00400B7F /* UIButton+Add.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120BD2B4E95D900400B7F /* UIButton+Add.swift */; };
		AF2120C62B4E95DA00400B7F /* UIView+Add.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120BE2B4E95D900400B7F /* UIView+Add.swift */; };
		AF2120C72B4E95DA00400B7F /* UIColor+Add.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120BF2B4E95D900400B7F /* UIColor+Add.swift */; };
		AF2120C82B4E95DA00400B7F /* NSString+Add.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120C02B4E95D900400B7F /* NSString+Add.swift */; };
		AF2120C92B4E95DA00400B7F /* UIDevice+Add.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120C12B4E95D900400B7F /* UIDevice+Add.swift */; };
		AF2120CA2B4E95DA00400B7F /* UITableView+Add.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120C22B4E95DA00400B7F /* UITableView+Add.swift */; };
		AF2120CC2B4E973800400B7F /* CCInputTextField.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120CB2B4E973800400B7F /* CCInputTextField.swift */; };
		AF2120CE2B4E979500400B7F /* CCTextField.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120CD2B4E979500400B7F /* CCTextField.swift */; };
		AF2120D02B4E982300400B7F /* CCUserDefault.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120CF2B4E982300400B7F /* CCUserDefault.swift */; };
		AF2120D22B4E99E600400B7F /* CCAddImage.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120D12B4E99E600400B7F /* CCAddImage.swift */; };
		AF2120D42B4E99FA00400B7F /* MobileCoreServices.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = AF2120D32B4E99F900400B7F /* MobileCoreServices.framework */; };
		AF2120D62B4E9A0100400B7F /* Photos.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = AF2120D52B4E9A0100400B7F /* Photos.framework */; };
		AF2120D82B4E9AC500400B7F /* CCAddImageView.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120D72B4E9AC500400B7F /* CCAddImageView.swift */; };
		AF2120DA2B4E9BD400400B7F /* CCAlert.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120D92B4E9BD400400B7F /* CCAlert.swift */; };
		AF2120DE2B4E9C3500400B7F /* AppDelegate+Add.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120DD2B4E9C3500400B7F /* AppDelegate+Add.swift */; };
		AF2120E02B4E9C8000400B7F /* Timer+Add.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120DF2B4E9C8000400B7F /* Timer+Add.swift */; };
		AF2120E42B4E9D5A00400B7F /* CCSMSView.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120E32B4E9D5A00400B7F /* CCSMSView.swift */; };
		AF2120E62B4E9DE000400B7F /* CCTableSwitchView.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120E52B4E9DE000400B7F /* CCTableSwitchView.swift */; };
		AF2120E82B4E9E5900400B7F /* CCDatePickerController.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120E72B4E9E5900400B7F /* CCDatePickerController.swift */; };
		AF2120EA2B4EA15400400B7F /* CCRequestLoadingView.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120E92B4EA15400400B7F /* CCRequestLoadingView.swift */; };
		AF2120EC2B4EA2FC00400B7F /* BaseController.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120EB2B4EA2FC00400B7F /* BaseController.swift */; };
		AF2120EE2B4EA34E00400B7F /* BaseTableViewPlainController.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120ED2B4EA34E00400B7F /* BaseTableViewPlainController.swift */; };
		AF2120F02B4EA39D00400B7F /* BaseTableViewGroupedController.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120EF2B4EA39D00400B7F /* BaseTableViewGroupedController.swift */; };
		AF2120F42B4EA43F00400B7F /* CCCollectionViewFlowLayout.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120F32B4EA43F00400B7F /* CCCollectionViewFlowLayout.swift */; };
		AF2120FA2B4EA5BD00400B7F /* CCHomeController.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120F92B4EA5BD00400B7F /* CCHomeController.swift */; };
		AF2120FC2B4EA5C800400B7F /* CCMineController.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120FB2B4EA5C800400B7F /* CCMineController.swift */; };
		AF2120FE2B4EA5F100400B7F /* CCLoginController.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120FD2B4EA5F100400B7F /* CCLoginController.swift */; };
		AF2121002B4EA5FE00400B7F /* CCRegisterController.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2120FF2B4EA5FE00400B7F /* CCRegisterController.swift */; };
		AF2121022B4EA60C00400B7F /* CCHomeView.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2121012B4EA60C00400B7F /* CCHomeView.swift */; };
		AF2121042B4EA61A00400B7F /* CCMineView.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2121032B4EA61A00400B7F /* CCMineView.swift */; };
		AF2121072B4EA63000400B7F /* CCHomeData.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2121062B4EA63000400B7F /* CCHomeData.swift */; };
		AF2121092B4EA7E200400B7F /* CCRequestDefine.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF2121082B4EA7E200400B7F /* CCRequestDefine.swift */; };
		AF21210B2B4EA7FE00400B7F /* CCRequest.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF21210A2B4EA7FE00400B7F /* CCRequest.swift */; };
		AF21210D2B4EA86700400B7F /* RootData.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF21210C2B4EA86700400B7F /* RootData.swift */; };
		AF478B032B577D51005C35A5 /* AVFoundation.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = AF478B022B577D51005C35A5 /* AVFoundation.framework */; };
		AFD9F5932B58C34A008716DE /* ImageProcessingShaders.metal in Sources */ = {isa = PBXBuildFile; fileRef = AFD9F5922B58C34A008716DE /* ImageProcessingShaders.metal */; };
		AFD9F5952B58D029008716DE /* MetalPlayer.swift in Sources */ = {isa = PBXBuildFile; fileRef = AFD9F5942B58D029008716DE /* MetalPlayer.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		003624652BA3F0AB0080D014 /* ZZHImageExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ZZHImageExtension.swift; sourceTree = "<group>"; };
		005580772B9F1525004B9567 /* ZZHHelper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ZZHHelper.swift; sourceTree = "<group>"; };
		00B946222B67B26D00DA668F /* ddd_video.mp4 */ = {isa = PBXFileReference; lastKnownFileType = file; path = ddd_video.mp4; sourceTree = "<group>"; };
		00B946242B67B7DE00DA668F /* CCSpatialPlayView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCSpatialPlayView.swift; sourceTree = "<group>"; };
		00C665722BAA81F900C309C3 /* GoogleService-Info.plist */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.plist.xml; path = "GoogleService-Info.plist"; sourceTree = "<group>"; };
		00C665772BAA941E00C309C3 /* CopyCrashHandler.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CopyCrashHandler.swift; sourceTree = "<group>"; };
		00D33BF32B998BF700604A44 /* SpatialImageConvertor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SpatialImageConvertor.swift; sourceTree = "<group>"; };
		00D33BF52B99A19900604A44 /* SpatialVideoConvertor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SpatialVideoConvertor.swift; sourceTree = "<group>"; };
		00D33BF92B9AB21A00604A44 /* ZZHAVExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ZZHAVExtension.swift; sourceTree = "<group>"; };
		00EB2D002BA2D14700924D84 /* en */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = en; path = en.lproj/Localizable.strings; sourceTree = "<group>"; };
		00EB2D032BA2D16300924D84 /* zh-Hans */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = "zh-Hans"; path = "zh-Hans.lproj/Localizable.strings"; sourceTree = "<group>"; };
		00EB2D042BA2D59000924D84 /* MessageUI.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = MessageUI.framework; path = System/Library/Frameworks/MessageUI.framework; sourceTree = SDKROOT; };
		00ED6B332BA04AC200915BDE /* PlayByTransferConvertor.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PlayByTransferConvertor.swift; sourceTree = "<group>"; };
		04E1D3F02B68EDFE00743F2F /* CCWebController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCWebController.swift; sourceTree = "<group>"; };
		1E02C9312B8990C600DD3143 /* CCDeviceOperationListView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCDeviceOperationListView.swift; sourceTree = "<group>"; };
		1E02C9332B89916C00DD3143 /* CCDeviceOperationListCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCDeviceOperationListCell.swift; sourceTree = "<group>"; };
		1E02C9352B89DB6700DD3143 /* CCEnumFile.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCEnumFile.swift; sourceTree = "<group>"; };
		1E1EA2872B9325D300A5D5D2 /* CCSpatialPhotoDisplayController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCSpatialPhotoDisplayController.swift; sourceTree = "<group>"; };
		1E1EA28B2B93272700A5D5D2 /* CCSpatialDisplayTypeView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCSpatialDisplayTypeView.swift; sourceTree = "<group>"; };
		1E1EA28D2B93393A00A5D5D2 /* UIButton+CCExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIButton+CCExtension.swift"; sourceTree = "<group>"; };
		1E1EA28F2B933C8200A5D5D2 /* VideoWriter.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = VideoWriter.swift; sourceTree = "<group>"; };
		1E1EA2932B9364F000A5D5D2 /* CCSpatialVideoDisplayController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCSpatialVideoDisplayController.swift; sourceTree = "<group>"; };
		1E1EA2952B936C9600A5D5D2 /* VideoConvertor2.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = VideoConvertor2.swift; sourceTree = "<group>"; };
		1E39459F2B8398B000D0F5CA /* VRVideoTransformController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VRVideoTransformController.swift; sourceTree = "<group>"; };
		1EE5C5F62B8F973A00EDFC2F /* CCSpatialShootController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCSpatialShootController.swift; sourceTree = "<group>"; };
		1EE5C5F92B8F97BF00EDFC2F /* SpatialVideoWriter.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SpatialVideoWriter.swift; sourceTree = "<group>"; };
		1EEF683D2B8D079600B953F7 /* CCVRPreviewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCVRPreviewController.swift; sourceTree = "<group>"; };
		1EF3B31C2B945C45000BD52D /* CCSpaceAlbumFliterPopView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCSpaceAlbumFliterPopView.swift; sourceTree = "<group>"; };
		1EFAF0B72B8AF1B8002A1773 /* CCSpaceAlbumPopView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCSpaceAlbumPopView.swift; sourceTree = "<group>"; };
		1EFAF0B92B8AF5EF002A1773 /* UIView+CCExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIView+CCExtension.swift"; sourceTree = "<group>"; };
		1EFAF0BC2B8B1D84002A1773 /* CCPopMenuView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCPopMenuView.swift; sourceTree = "<group>"; };
		1EFAF0BF2B8B7A59002A1773 /* VRPhotoTransformController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VRPhotoTransformController.swift; sourceTree = "<group>"; };
		1EFB8C6B2B88D52200C72119 /* CCCommonFile.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCCommonFile.swift; sourceTree = "<group>"; };
		1EFB8C6D2B88D9D800C72119 /* CCBottomMenuPopView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCBottomMenuPopView.swift; sourceTree = "<group>"; };
		1EFB8C6F2B88DA4800C72119 /* CCBottomMenuCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCBottomMenuCell.swift; sourceTree = "<group>"; };
		1EFB8C752B88DD1200C72119 /* CCTransformProgressPopView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCTransformProgressPopView.swift; sourceTree = "<group>"; };
		1EFB8C772B88E2F600C72119 /* UIColor+CCExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIColor+CCExtension.swift"; sourceTree = "<group>"; };
		82EFD038CCEC9C6A7729E06E /* Pods-SwiftProject.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-SwiftProject.debug.xcconfig"; path = "Target Support Files/Pods-SwiftProject/Pods-SwiftProject.debug.xcconfig"; sourceTree = "<group>"; };
		9351834EA7803D23A47BDCA7 /* Pods-SwiftProject.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-SwiftProject.release.xcconfig"; path = "Target Support Files/Pods-SwiftProject/Pods-SwiftProject.release.xcconfig"; sourceTree = "<group>"; };
		9EA4E292727B09E3FAEA5146 /* Pods_SwiftProject.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_SwiftProject.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		AF21208A2B4E7F1A00400B7F /* SwiftProject.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = SwiftProject.app; sourceTree = BUILT_PRODUCTS_DIR; };
		AF21208D2B4E7F1A00400B7F /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		AF2120942B4E7F1A00400B7F /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		AF2120962B4E7F1C00400B7F /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		AF2120992B4E7F1C00400B7F /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		AF21209B2B4E7F1C00400B7F /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		AF2120AA2B4E848400400B7F /* RootNavigationController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RootNavigationController.swift; sourceTree = "<group>"; };
		AF2120AC2B4E92B000400B7F /* RootTabBarController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RootTabBarController.swift; sourceTree = "<group>"; };
		AF2120AE2B4E930400400B7F /* RootManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RootManager.swift; sourceTree = "<group>"; };
		AF2120B02B4E947F00400B7F /* BaseVirtualController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BaseVirtualController.swift; sourceTree = "<group>"; };
		AF2120B22B4E94BE00400B7F /* CCDefine.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCDefine.swift; sourceTree = "<group>"; };
		AF2120BB2B4E95D900400B7F /* NSObject+Add.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "NSObject+Add.swift"; sourceTree = "<group>"; };
		AF2120BC2B4E95D900400B7F /* UIImage+Add.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UIImage+Add.swift"; sourceTree = "<group>"; };
		AF2120BD2B4E95D900400B7F /* UIButton+Add.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UIButton+Add.swift"; sourceTree = "<group>"; };
		AF2120BE2B4E95D900400B7F /* UIView+Add.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UIView+Add.swift"; sourceTree = "<group>"; };
		AF2120BF2B4E95D900400B7F /* UIColor+Add.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UIColor+Add.swift"; sourceTree = "<group>"; };
		AF2120C02B4E95D900400B7F /* NSString+Add.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "NSString+Add.swift"; sourceTree = "<group>"; };
		AF2120C12B4E95D900400B7F /* UIDevice+Add.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UIDevice+Add.swift"; sourceTree = "<group>"; };
		AF2120C22B4E95DA00400B7F /* UITableView+Add.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = "UITableView+Add.swift"; sourceTree = "<group>"; };
		AF2120CB2B4E973800400B7F /* CCInputTextField.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCInputTextField.swift; sourceTree = "<group>"; };
		AF2120CD2B4E979500400B7F /* CCTextField.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCTextField.swift; sourceTree = "<group>"; };
		AF2120CF2B4E982300400B7F /* CCUserDefault.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCUserDefault.swift; sourceTree = "<group>"; };
		AF2120D12B4E99E600400B7F /* CCAddImage.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCAddImage.swift; sourceTree = "<group>"; };
		AF2120D32B4E99F900400B7F /* MobileCoreServices.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = MobileCoreServices.framework; path = System/Library/Frameworks/MobileCoreServices.framework; sourceTree = SDKROOT; };
		AF2120D52B4E9A0100400B7F /* Photos.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Photos.framework; path = System/Library/Frameworks/Photos.framework; sourceTree = SDKROOT; };
		AF2120D72B4E9AC500400B7F /* CCAddImageView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCAddImageView.swift; sourceTree = "<group>"; };
		AF2120D92B4E9BD400400B7F /* CCAlert.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCAlert.swift; sourceTree = "<group>"; };
		AF2120DD2B4E9C3500400B7F /* AppDelegate+Add.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "AppDelegate+Add.swift"; sourceTree = "<group>"; };
		AF2120DF2B4E9C8000400B7F /* Timer+Add.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Timer+Add.swift"; sourceTree = "<group>"; };
		AF2120E32B4E9D5A00400B7F /* CCSMSView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCSMSView.swift; sourceTree = "<group>"; };
		AF2120E52B4E9DE000400B7F /* CCTableSwitchView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCTableSwitchView.swift; sourceTree = "<group>"; };
		AF2120E72B4E9E5900400B7F /* CCDatePickerController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCDatePickerController.swift; sourceTree = "<group>"; };
		AF2120E92B4EA15400400B7F /* CCRequestLoadingView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCRequestLoadingView.swift; sourceTree = "<group>"; };
		AF2120EB2B4EA2FC00400B7F /* BaseController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BaseController.swift; sourceTree = "<group>"; };
		AF2120ED2B4EA34E00400B7F /* BaseTableViewPlainController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BaseTableViewPlainController.swift; sourceTree = "<group>"; };
		AF2120EF2B4EA39D00400B7F /* BaseTableViewGroupedController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BaseTableViewGroupedController.swift; sourceTree = "<group>"; };
		AF2120F32B4EA43F00400B7F /* CCCollectionViewFlowLayout.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCCollectionViewFlowLayout.swift; sourceTree = "<group>"; };
		AF2120F92B4EA5BD00400B7F /* CCHomeController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCHomeController.swift; sourceTree = "<group>"; };
		AF2120FB2B4EA5C800400B7F /* CCMineController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCMineController.swift; sourceTree = "<group>"; };
		AF2120FD2B4EA5F100400B7F /* CCLoginController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCLoginController.swift; sourceTree = "<group>"; };
		AF2120FF2B4EA5FE00400B7F /* CCRegisterController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCRegisterController.swift; sourceTree = "<group>"; };
		AF2121012B4EA60C00400B7F /* CCHomeView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCHomeView.swift; sourceTree = "<group>"; };
		AF2121032B4EA61A00400B7F /* CCMineView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCMineView.swift; sourceTree = "<group>"; };
		AF2121062B4EA63000400B7F /* CCHomeData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCHomeData.swift; sourceTree = "<group>"; };
		AF2121082B4EA7E200400B7F /* CCRequestDefine.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCRequestDefine.swift; sourceTree = "<group>"; };
		AF21210A2B4EA7FE00400B7F /* CCRequest.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CCRequest.swift; sourceTree = "<group>"; };
		AF21210C2B4EA86700400B7F /* RootData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RootData.swift; sourceTree = "<group>"; };
		AF478B022B577D51005C35A5 /* AVFoundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = AVFoundation.framework; path = System/Library/Frameworks/AVFoundation.framework; sourceTree = SDKROOT; };
		AFD9F5922B58C34A008716DE /* ImageProcessingShaders.metal */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.metal; path = ImageProcessingShaders.metal; sourceTree = "<group>"; };
		AFD9F5942B58D029008716DE /* MetalPlayer.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MetalPlayer.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		AF2120872B4E7F1A00400B7F /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				AF478B032B577D51005C35A5 /* AVFoundation.framework in Frameworks */,
				00C665762BAA84C500C309C3 /* FirebaseAnalyticsWithoutAdIdSupport in Frameworks */,
				00EB2D052BA2D59000924D84 /* MessageUI.framework in Frameworks */,
				1E277B76988DF1691E8E5A49 /* Pods_SwiftProject.framework in Frameworks */,
				AF2120D42B4E99FA00400B7F /* MobileCoreServices.framework in Frameworks */,
				AF2120D62B4E9A0100400B7F /* Photos.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		1E02C9302B89909000DD3143 /* DeviceOperation */ = {
			isa = PBXGroup;
			children = (
				1E02C9312B8990C600DD3143 /* CCDeviceOperationListView.swift */,
				1E02C9332B89916C00DD3143 /* CCDeviceOperationListCell.swift */,
			);
			path = DeviceOperation;
			sourceTree = "<group>";
		};
		1E1EA28A2B9326DB00A5D5D2 /* CCSpatialDisplayTypeView */ = {
			isa = PBXGroup;
			children = (
				1E1EA28B2B93272700A5D5D2 /* CCSpatialDisplayTypeView.swift */,
			);
			path = CCSpatialDisplayTypeView;
			sourceTree = "<group>";
		};
		1E39459C2B83837900D0F5CA /* RecordingVideo */ = {
			isa = PBXGroup;
			children = (
				1EE5C5F62B8F973A00EDFC2F /* CCSpatialShootController.swift */,
				1E39459F2B8398B000D0F5CA /* VRVideoTransformController.swift */,
				1EFAF0BF2B8B7A59002A1773 /* VRPhotoTransformController.swift */,
				1E1EA2872B9325D300A5D5D2 /* CCSpatialPhotoDisplayController.swift */,
				1E1EA2932B9364F000A5D5D2 /* CCSpatialVideoDisplayController.swift */,
			);
			path = RecordingVideo;
			sourceTree = "<group>";
		};
		1EE5C5F82B8F97AA00EDFC2F /* Util */ = {
			isa = PBXGroup;
			children = (
				1E1EA2952B936C9600A5D5D2 /* VideoConvertor2.swift */,
				00D33BF32B998BF700604A44 /* SpatialImageConvertor.swift */,
				003624652BA3F0AB0080D014 /* ZZHImageExtension.swift */,
				00D33BF52B99A19900604A44 /* SpatialVideoConvertor.swift */,
				1E1EA28F2B933C8200A5D5D2 /* VideoWriter.swift */,
				00D33BF92B9AB21A00604A44 /* ZZHAVExtension.swift */,
				1EE5C5F92B8F97BF00EDFC2F /* SpatialVideoWriter.swift */,
				005580772B9F1525004B9567 /* ZZHHelper.swift */,
				00ED6B332BA04AC200915BDE /* PlayByTransferConvertor.swift */,
			);
			path = Util;
			sourceTree = "<group>";
		};
		1EEF683C2B8D076B00B953F7 /* VRPreview */ = {
			isa = PBXGroup;
			children = (
				1EEF683D2B8D079600B953F7 /* CCVRPreviewController.swift */,
			);
			path = VRPreview;
			sourceTree = "<group>";
		};
		1EF3B31E2B945DE0000BD52D /* CCSpaceAlbumFliterPopView */ = {
			isa = PBXGroup;
			children = (
				1EF3B31C2B945C45000BD52D /* CCSpaceAlbumFliterPopView.swift */,
			);
			path = CCSpaceAlbumFliterPopView;
			sourceTree = "<group>";
		};
		1EFAF0B42B8AF003002A1773 /* Album */ = {
			isa = PBXGroup;
			children = (
				1EF3B31E2B945DE0000BD52D /* CCSpaceAlbumFliterPopView */,
				1EFAF0B72B8AF1B8002A1773 /* CCSpaceAlbumPopView.swift */,
			);
			path = Album;
			sourceTree = "<group>";
		};
		1EFAF0BB2B8B1D55002A1773 /* MenuPop */ = {
			isa = PBXGroup;
			children = (
				1EFAF0BC2B8B1D84002A1773 /* CCPopMenuView.swift */,
			);
			path = MenuPop;
			sourceTree = "<group>";
		};
		1EFB8C6A2B88D4FF00C72119 /* Config */ = {
			isa = PBXGroup;
			children = (
				1EFB8C6B2B88D52200C72119 /* CCCommonFile.swift */,
				1E02C9352B89DB6700DD3143 /* CCEnumFile.swift */,
			);
			path = Config;
			sourceTree = "<group>";
		};
		1EFB8C712B88DBCA00C72119 /* Menu */ = {
			isa = PBXGroup;
			children = (
				1EFB8C6D2B88D9D800C72119 /* CCBottomMenuPopView.swift */,
				1EFB8C6F2B88DA4800C72119 /* CCBottomMenuCell.swift */,
			);
			path = Menu;
			sourceTree = "<group>";
		};
		1EFB8C722B88DBD900C72119 /* Progress */ = {
			isa = PBXGroup;
			children = (
				1EFB8C752B88DD1200C72119 /* CCTransformProgressPopView.swift */,
			);
			path = Progress;
			sourceTree = "<group>";
		};
		4D8F3A411661D600CD07B39B /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				00EB2D042BA2D59000924D84 /* MessageUI.framework */,
				AF478B022B577D51005C35A5 /* AVFoundation.framework */,
				AF2120D52B4E9A0100400B7F /* Photos.framework */,
				AF2120D32B4E99F900400B7F /* MobileCoreServices.framework */,
				9EA4E292727B09E3FAEA5146 /* Pods_SwiftProject.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		8FE2D8F3994C24FE00D1852C /* Pods */ = {
			isa = PBXGroup;
			children = (
				82EFD038CCEC9C6A7729E06E /* Pods-SwiftProject.debug.xcconfig */,
				9351834EA7803D23A47BDCA7 /* Pods-SwiftProject.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		AF2120812B4E7F1A00400B7F = {
			isa = PBXGroup;
			children = (
				AF21208C2B4E7F1A00400B7F /* SwiftProject */,
				AF21208B2B4E7F1A00400B7F /* Products */,
				8FE2D8F3994C24FE00D1852C /* Pods */,
				4D8F3A411661D600CD07B39B /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		AF21208B2B4E7F1A00400B7F /* Products */ = {
			isa = PBXGroup;
			children = (
				AF21208A2B4E7F1A00400B7F /* SwiftProject.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		AF21208C2B4E7F1A00400B7F /* SwiftProject */ = {
			isa = PBXGroup;
			children = (
				AF2120A12B4E83AF00400B7F /* CCKit */,
				AF2120A62B4E83B000400B7F /* Project */,
				AF21208D2B4E7F1A00400B7F /* AppDelegate.swift */,
				00C665772BAA941E00C309C3 /* CopyCrashHandler.swift */,
				AF2120932B4E7F1A00400B7F /* Main.storyboard */,
				AF2120962B4E7F1C00400B7F /* Assets.xcassets */,
				00C665722BAA81F900C309C3 /* GoogleService-Info.plist */,
				AF2120982B4E7F1C00400B7F /* LaunchScreen.storyboard */,
				AF21209B2B4E7F1C00400B7F /* Info.plist */,
				00EB2D012BA2D14700924D84 /* Localizable.strings */,
			);
			path = SwiftProject;
			sourceTree = "<group>";
		};
		AF2120A12B4E83AF00400B7F /* CCKit */ = {
			isa = PBXGroup;
			children = (
				1EFB8C6A2B88D4FF00C72119 /* Config */,
				AF2120BA2B4E95AF00400B7F /* Add */,
				AF2120A22B4E83AF00400B7F /* Kit */,
				AF2120A42B4E83AF00400B7F /* Root */,
				AF2120A52B4E83AF00400B7F /* Base */,
			);
			path = CCKit;
			sourceTree = "<group>";
		};
		AF2120A22B4E83AF00400B7F /* Kit */ = {
			isa = PBXGroup;
			children = (
				AF2120A32B4E83AF00400B7F /* Request */,
				AF2120B22B4E94BE00400B7F /* CCDefine.swift */,
				AF2120CF2B4E982300400B7F /* CCUserDefault.swift */,
				AF2120CB2B4E973800400B7F /* CCInputTextField.swift */,
				AF2120CD2B4E979500400B7F /* CCTextField.swift */,
				AF2120D12B4E99E600400B7F /* CCAddImage.swift */,
				AF2120D72B4E9AC500400B7F /* CCAddImageView.swift */,
				AF2120D92B4E9BD400400B7F /* CCAlert.swift */,
				AF2120E32B4E9D5A00400B7F /* CCSMSView.swift */,
				AF2120E52B4E9DE000400B7F /* CCTableSwitchView.swift */,
				AF2120E72B4E9E5900400B7F /* CCDatePickerController.swift */,
			);
			path = Kit;
			sourceTree = "<group>";
		};
		AF2120A32B4E83AF00400B7F /* Request */ = {
			isa = PBXGroup;
			children = (
				AF2120E92B4EA15400400B7F /* CCRequestLoadingView.swift */,
				AF2121082B4EA7E200400B7F /* CCRequestDefine.swift */,
				AF21210A2B4EA7FE00400B7F /* CCRequest.swift */,
			);
			path = Request;
			sourceTree = "<group>";
		};
		AF2120A42B4E83AF00400B7F /* Root */ = {
			isa = PBXGroup;
			children = (
				AF2120AA2B4E848400400B7F /* RootNavigationController.swift */,
				AF2120AC2B4E92B000400B7F /* RootTabBarController.swift */,
				AF2120AE2B4E930400400B7F /* RootManager.swift */,
				AF21210C2B4EA86700400B7F /* RootData.swift */,
			);
			path = Root;
			sourceTree = "<group>";
		};
		AF2120A52B4E83AF00400B7F /* Base */ = {
			isa = PBXGroup;
			children = (
				AF2120B02B4E947F00400B7F /* BaseVirtualController.swift */,
				AF2120EB2B4EA2FC00400B7F /* BaseController.swift */,
				AF2120ED2B4EA34E00400B7F /* BaseTableViewPlainController.swift */,
				AF2120EF2B4EA39D00400B7F /* BaseTableViewGroupedController.swift */,
				AF2120F32B4EA43F00400B7F /* CCCollectionViewFlowLayout.swift */,
			);
			path = Base;
			sourceTree = "<group>";
		};
		AF2120A62B4E83B000400B7F /* Project */ = {
			isa = PBXGroup;
			children = (
				1EE5C5F82B8F97AA00EDFC2F /* Util */,
				AF2120A72B4E83B000400B7F /* Controller */,
				AF2120A82B4E83B000400B7F /* View */,
				AF2120A92B4E83B000400B7F /* Data */,
			);
			path = Project;
			sourceTree = "<group>";
		};
		AF2120A72B4E83B000400B7F /* Controller */ = {
			isa = PBXGroup;
			children = (
				1EEF683C2B8D076B00B953F7 /* VRPreview */,
				1E39459C2B83837900D0F5CA /* RecordingVideo */,
				00B946222B67B26D00DA668F /* ddd_video.mp4 */,
				AF2120F92B4EA5BD00400B7F /* CCHomeController.swift */,
				AF2120FB2B4EA5C800400B7F /* CCMineController.swift */,
				AF2120FD2B4EA5F100400B7F /* CCLoginController.swift */,
				AF2120FF2B4EA5FE00400B7F /* CCRegisterController.swift */,
				04E1D3F02B68EDFE00743F2F /* CCWebController.swift */,
			);
			path = Controller;
			sourceTree = "<group>";
		};
		AF2120A82B4E83B000400B7F /* View */ = {
			isa = PBXGroup;
			children = (
				1E1EA28A2B9326DB00A5D5D2 /* CCSpatialDisplayTypeView */,
				1EFAF0B42B8AF003002A1773 /* Album */,
				1EFAF0BB2B8B1D55002A1773 /* MenuPop */,
				1E02C9302B89909000DD3143 /* DeviceOperation */,
				1EFB8C722B88DBD900C72119 /* Progress */,
				1EFB8C712B88DBCA00C72119 /* Menu */,
				AF2121012B4EA60C00400B7F /* CCHomeView.swift */,
				AF2121032B4EA61A00400B7F /* CCMineView.swift */,
				00B946242B67B7DE00DA668F /* CCSpatialPlayView.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		AF2120A92B4E83B000400B7F /* Data */ = {
			isa = PBXGroup;
			children = (
				AFD9F5922B58C34A008716DE /* ImageProcessingShaders.metal */,
				AF2121062B4EA63000400B7F /* CCHomeData.swift */,
				AFD9F5942B58D029008716DE /* MetalPlayer.swift */,
			);
			path = Data;
			sourceTree = "<group>";
		};
		AF2120BA2B4E95AF00400B7F /* Add */ = {
			isa = PBXGroup;
			children = (
				AF2120BB2B4E95D900400B7F /* NSObject+Add.swift */,
				AF2120C02B4E95D900400B7F /* NSString+Add.swift */,
				AF2120BD2B4E95D900400B7F /* UIButton+Add.swift */,
				AF2120BF2B4E95D900400B7F /* UIColor+Add.swift */,
				AF2120C12B4E95D900400B7F /* UIDevice+Add.swift */,
				AF2120BC2B4E95D900400B7F /* UIImage+Add.swift */,
				AF2120C22B4E95DA00400B7F /* UITableView+Add.swift */,
				AF2120BE2B4E95D900400B7F /* UIView+Add.swift */,
				AF2120DD2B4E9C3500400B7F /* AppDelegate+Add.swift */,
				AF2120DF2B4E9C8000400B7F /* Timer+Add.swift */,
				1EFB8C772B88E2F600C72119 /* UIColor+CCExtension.swift */,
				1EFAF0B92B8AF5EF002A1773 /* UIView+CCExtension.swift */,
				1E1EA28D2B93393A00A5D5D2 /* UIButton+CCExtension.swift */,
			);
			path = Add;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		AF2120892B4E7F1A00400B7F /* SwiftProject */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = AF21209E2B4E7F1C00400B7F /* Build configuration list for PBXNativeTarget "SwiftProject" */;
			buildPhases = (
				05ED637CE1E5FE61563E8746 /* [CP] Check Pods Manifest.lock */,
				AF2120862B4E7F1A00400B7F /* Sources */,
				AF2120872B4E7F1A00400B7F /* Frameworks */,
				AF2120882B4E7F1A00400B7F /* Resources */,
				22E31636DA9195DC6FD67641 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = SwiftProject;
			packageProductDependencies = (
				00C665752BAA84C500C309C3 /* FirebaseAnalyticsWithoutAdIdSupport */,
			);
			productName = SwiftProject;
			productReference = AF21208A2B4E7F1A00400B7F /* SwiftProject.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		AF2120822B4E7F1A00400B7F /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1400;
				LastUpgradeCheck = 1400;
				TargetAttributes = {
					AF2120892B4E7F1A00400B7F = {
						CreatedOnToolsVersion = 14.0.1;
					};
				};
			};
			buildConfigurationList = AF2120852B4E7F1A00400B7F /* Build configuration list for PBXProject "SwiftProject" */;
			compatibilityVersion = "Xcode 14.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
				"zh-Hans",
			);
			mainGroup = AF2120812B4E7F1A00400B7F;
			packageReferences = (
				00C665742BAA84C500C309C3 /* XCRemoteSwiftPackageReference "firebase-ios-sdk" */,
			);
			productRefGroup = AF21208B2B4E7F1A00400B7F /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				AF2120892B4E7F1A00400B7F /* SwiftProject */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		AF2120882B4E7F1A00400B7F /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				00EB2D022BA2D15700924D84 /* Localizable.strings in Resources */,
				AF21209A2B4E7F1C00400B7F /* LaunchScreen.storyboard in Resources */,
				AF2120972B4E7F1C00400B7F /* Assets.xcassets in Resources */,
				00B946232B67B26D00DA668F /* ddd_video.mp4 in Resources */,
				AF2120952B4E7F1A00400B7F /* Main.storyboard in Resources */,
				00C665732BAA81F900C309C3 /* GoogleService-Info.plist in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		05ED637CE1E5FE61563E8746 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-SwiftProject-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		22E31636DA9195DC6FD67641 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-SwiftProject/Pods-SwiftProject-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-SwiftProject/Pods-SwiftProject-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-SwiftProject/Pods-SwiftProject-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		AF2120862B4E7F1A00400B7F /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				AF2120CC2B4E973800400B7F /* CCInputTextField.swift in Sources */,
				AF2120C72B4E95DA00400B7F /* UIColor+Add.swift in Sources */,
				AF2120C52B4E95DA00400B7F /* UIButton+Add.swift in Sources */,
				AF2121022B4EA60C00400B7F /* CCHomeView.swift in Sources */,
				AF21208E2B4E7F1A00400B7F /* AppDelegate.swift in Sources */,
				AF2120FC2B4EA5C800400B7F /* CCMineController.swift in Sources */,
				1E3945A02B8398B000D0F5CA /* VRVideoTransformController.swift in Sources */,
				00C665792BAA94EA00C309C3 /* CopyCrashHandler.swift in Sources */,
				AF2120AD2B4E92B000400B7F /* RootTabBarController.swift in Sources */,
				00B946252B67B7DE00DA668F /* CCSpatialPlayView.swift in Sources */,
				AFD9F5932B58C34A008716DE /* ImageProcessingShaders.metal in Sources */,
				AF2120F02B4EA39D00400B7F /* BaseTableViewGroupedController.swift in Sources */,
				1E1EA2962B936C9600A5D5D2 /* VideoConvertor2.swift in Sources */,
				AF2120CA2B4E95DA00400B7F /* UITableView+Add.swift in Sources */,
				1EFAF0BA2B8AF5EF002A1773 /* UIView+CCExtension.swift in Sources */,
				AF2120C42B4E95DA00400B7F /* UIImage+Add.swift in Sources */,
				1EFAF0C02B8B7A59002A1773 /* VRPhotoTransformController.swift in Sources */,
				AF21210B2B4EA7FE00400B7F /* CCRequest.swift in Sources */,
				AF2120D82B4E9AC500400B7F /* CCAddImageView.swift in Sources */,
				00D33BF42B998BF700604A44 /* SpatialImageConvertor.swift in Sources */,
				AF2120B32B4E94BE00400B7F /* CCDefine.swift in Sources */,
				1EEF683E2B8D079600B953F7 /* CCVRPreviewController.swift in Sources */,
				04E1D3F12B68EDFE00743F2F /* CCWebController.swift in Sources */,
				1E02C9342B89916C00DD3143 /* CCDeviceOperationListCell.swift in Sources */,
				AF2120EA2B4EA15400400B7F /* CCRequestLoadingView.swift in Sources */,
				1EFB8C6C2B88D52200C72119 /* CCCommonFile.swift in Sources */,
				1EE5C5FA2B8F97BF00EDFC2F /* SpatialVideoWriter.swift in Sources */,
				1EFB8C762B88DD1200C72119 /* CCTransformProgressPopView.swift in Sources */,
				AF2121042B4EA61A00400B7F /* CCMineView.swift in Sources */,
				AF21210D2B4EA86700400B7F /* RootData.swift in Sources */,
				AF2121092B4EA7E200400B7F /* CCRequestDefine.swift in Sources */,
				005580782B9F1525004B9567 /* ZZHHelper.swift in Sources */,
				AF2120C32B4E95DA00400B7F /* NSObject+Add.swift in Sources */,
				1EE5C5F72B8F973A00EDFC2F /* CCSpatialShootController.swift in Sources */,
				1EFB8C782B88E2F600C72119 /* UIColor+CCExtension.swift in Sources */,
				00D33BF62B99A19900604A44 /* SpatialVideoConvertor.swift in Sources */,
				AF2120EE2B4EA34E00400B7F /* BaseTableViewPlainController.swift in Sources */,
				1E1EA28C2B93272700A5D5D2 /* CCSpatialDisplayTypeView.swift in Sources */,
				AF2120C62B4E95DA00400B7F /* UIView+Add.swift in Sources */,
				AF2120E82B4E9E5900400B7F /* CCDatePickerController.swift in Sources */,
				AF2120B12B4E947F00400B7F /* BaseVirtualController.swift in Sources */,
				1E02C9362B89DB6700DD3143 /* CCEnumFile.swift in Sources */,
				1EFAF0BD2B8B1D84002A1773 /* CCPopMenuView.swift in Sources */,
				AF2120F42B4EA43F00400B7F /* CCCollectionViewFlowLayout.swift in Sources */,
				AF2120C82B4E95DA00400B7F /* NSString+Add.swift in Sources */,
				1E1EA2902B933C8200A5D5D2 /* VideoWriter.swift in Sources */,
				AF2120E62B4E9DE000400B7F /* CCTableSwitchView.swift in Sources */,
				00D33BFA2B9AB21A00604A44 /* ZZHAVExtension.swift in Sources */,
				AF2120E02B4E9C8000400B7F /* Timer+Add.swift in Sources */,
				AF2120DE2B4E9C3500400B7F /* AppDelegate+Add.swift in Sources */,
				1EFB8C6E2B88D9D800C72119 /* CCBottomMenuPopView.swift in Sources */,
				003624662BA3F0AB0080D014 /* ZZHImageExtension.swift in Sources */,
				1E1EA2942B9364F000A5D5D2 /* CCSpatialVideoDisplayController.swift in Sources */,
				AFD9F5952B58D029008716DE /* MetalPlayer.swift in Sources */,
				AF2121002B4EA5FE00400B7F /* CCRegisterController.swift in Sources */,
				AF2120D02B4E982300400B7F /* CCUserDefault.swift in Sources */,
				AF2120EC2B4EA2FC00400B7F /* BaseController.swift in Sources */,
				1EF3B31D2B945C45000BD52D /* CCSpaceAlbumFliterPopView.swift in Sources */,
				AF2120D22B4E99E600400B7F /* CCAddImage.swift in Sources */,
				AF2120E42B4E9D5A00400B7F /* CCSMSView.swift in Sources */,
				1E1EA28E2B93393A00A5D5D2 /* UIButton+CCExtension.swift in Sources */,
				AF2120AB2B4E848400400B7F /* RootNavigationController.swift in Sources */,
				AF2120C92B4E95DA00400B7F /* UIDevice+Add.swift in Sources */,
				AF2120AF2B4E930400400B7F /* RootManager.swift in Sources */,
				1E02C9322B8990C600DD3143 /* CCDeviceOperationListView.swift in Sources */,
				AF2120DA2B4E9BD400400B7F /* CCAlert.swift in Sources */,
				1EFB8C702B88DA4800C72119 /* CCBottomMenuCell.swift in Sources */,
				AF2120FA2B4EA5BD00400B7F /* CCHomeController.swift in Sources */,
				00ED6B342BA04AC200915BDE /* PlayByTransferConvertor.swift in Sources */,
				AF2121072B4EA63000400B7F /* CCHomeData.swift in Sources */,
				AF2120FE2B4EA5F100400B7F /* CCLoginController.swift in Sources */,
				AF2120CE2B4E979500400B7F /* CCTextField.swift in Sources */,
				1E1EA2882B9325D300A5D5D2 /* CCSpatialPhotoDisplayController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		00EB2D012BA2D14700924D84 /* Localizable.strings */ = {
			isa = PBXVariantGroup;
			children = (
				00EB2D002BA2D14700924D84 /* en */,
				00EB2D032BA2D16300924D84 /* zh-Hans */,
			);
			name = Localizable.strings;
			sourceTree = "<group>";
		};
		AF2120932B4E7F1A00400B7F /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				AF2120942B4E7F1A00400B7F /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		AF2120982B4E7F1C00400B7F /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				AF2120992B4E7F1C00400B7F /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		AF21209C2B4E7F1C00400B7F /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		AF21209D2B4E7F1C00400B7F /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		AF21209F2B4E7F1C00400B7F /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 82EFD038CCEC9C6A7729E06E /* Pods-SwiftProject.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1.7;
				DEVELOPMENT_TEAM = 8DQD6BV6H9;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = SwiftProject/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = VPCamera;
				INFOPLIST_KEY_NSCameraUsageDescription = "我们需要访问您的相机，以便能够正常拍摄录制空间视频及空间图片";
				INFOPLIST_KEY_NSMicrophoneUsageDescription = "我们需要访问您的麦克风，以便能够正常的拍摄录制空间视频";
				INFOPLIST_KEY_NSPhotoLibraryAddUsageDescription = "我们需要访问您的相册，以便您能够从相册中选择照片、视频进行媒体空间转码";
				INFOPLIST_KEY_NSPhotoLibraryUsageDescription = "我们需要访问您的相册，以便您能够从相册中选择照片、视频进行媒体空间转码";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen.storyboard;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations = UIInterfaceOrientationPortrait;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown";
				IPHONEOS_DEPLOYMENT_TARGET = 17.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.nsk.tdvideo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		AF2120A02B4E7F1C00400B7F /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 9351834EA7803D23A47BDCA7 /* Pods-SwiftProject.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1.7;
				DEVELOPMENT_TEAM = 8DQD6BV6H9;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = SwiftProject/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = VPCamera;
				INFOPLIST_KEY_NSCameraUsageDescription = "我们需要访问您的相机，以便能够正常拍摄录制空间视频及空间图片";
				INFOPLIST_KEY_NSMicrophoneUsageDescription = "我们需要访问您的麦克风，以便能够正常的拍摄录制空间视频";
				INFOPLIST_KEY_NSPhotoLibraryAddUsageDescription = "我们需要访问您的相册，以便您能够从相册中选择照片、视频进行媒体空间转码";
				INFOPLIST_KEY_NSPhotoLibraryUsageDescription = "我们需要访问您的相册，以便您能够从相册中选择照片、视频进行媒体空间转码";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen.storyboard;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations = UIInterfaceOrientationPortrait;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown";
				IPHONEOS_DEPLOYMENT_TARGET = 17.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.nsk.tdvideo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SUPPORTS_XR_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		AF2120852B4E7F1A00400B7F /* Build configuration list for PBXProject "SwiftProject" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				AF21209C2B4E7F1C00400B7F /* Debug */,
				AF21209D2B4E7F1C00400B7F /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		AF21209E2B4E7F1C00400B7F /* Build configuration list for PBXNativeTarget "SwiftProject" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				AF21209F2B4E7F1C00400B7F /* Debug */,
				AF2120A02B4E7F1C00400B7F /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCRemoteSwiftPackageReference section */
		00C665742BAA84C500C309C3 /* XCRemoteSwiftPackageReference "firebase-ios-sdk" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/firebase/firebase-ios-sdk";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 10.23.0;
			};
		};
/* End XCRemoteSwiftPackageReference section */

/* Begin XCSwiftPackageProductDependency section */
		00C665752BAA84C500C309C3 /* FirebaseAnalyticsWithoutAdIdSupport */ = {
			isa = XCSwiftPackageProductDependency;
			package = 00C665742BAA84C500C309C3 /* XCRemoteSwiftPackageReference "firebase-ios-sdk" */;
			productName = FirebaseAnalyticsWithoutAdIdSupport;
		};
/* End XCSwiftPackageProductDependency section */
	};
	rootObject = AF2120822B4E7F1A00400B7F /* Project object */;
}
